## com.bbn.openmap.event
Class ProgressSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.event.ProgressSupport

All Implemented Interfaces:
  java.io.Serializable

public class ProgressSupport
extends ListenerSupport

This is a utility class that can be used by beans that need support for handling ProgressListeners and firing ProgressEvents. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`ProgressSupport(java.lang.Object sourceBean)` Construct a ProgressSupport.

Method Summary
`void` `addProgressListener(ProgressListener listener)` Add a ProgressListener to the listener list.
`void` `fireUpdate(int type, java.lang.String taskname, float finishedValue, float currentValue)` Send a layer event to all registered listeners.
`void` `removeProgressListener(ProgressListener listener)` Remove a ProgressListener from the listener list.

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressSupport

    public ProgressSupport(java.lang.Object sourceBean)

  Construct a ProgressSupport.

Parameters:
  `sourceBean` - The bean to be given as the source for any events.

Method Detail

### addProgressListener

    public void addProgressListener(ProgressListener listener)

  Add a ProgressListener to the listener list.

  Parameters:
    `listener` - The ProgressListener to be added

### removeProgressListener

    public void removeProgressListener(ProgressListener listener)

  Remove a ProgressListener from the listener list.

  Parameters:
    `listener` - The ProgressListener to be removed

### fireUpdate

    public void fireUpdate(int type,
                           java.lang.String taskname,
                           float finishedValue,
                           float currentValue)

  Send a layer event to all registered listeners.

  Parameters:
    `taskname` - the description of the task
    `finishedValue` - the completed value
    `currentValue` - the currentValue

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details